Name:           argyllcms
Version:        3.3.0
Release:        %mkrel 2
Summary:        ICC compatible color management system
Group:          Graphics/Utilities
License:        AGPLv3
URL:            https://www.argyllcms.com/
Source0:        https://www.argyllcms.com/Argyll_V%{version}_src.zip
#Source0:        https://people.freedesktop.org/~hughsient/releases/hargyllcms-%%{version}.tar.xz
Patch1:         argyllcms-datadir.patch

BuildRequires:  ftjam
#BuildRequires:	boost-bjam
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xscrnsaver)

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%prep
%autosetup -n Argyll_V%{version} -p1

%build
%set_build_flags
export CCOPTFLAG="%{build_cflags} -std=gnu17"
export LINKFLAGS="%{build_ldflags}"
jam -q -dx -fJambase %{?_smp_build_ncpus:-j%{_smp_build_ncpus}}

%install
jam -q -dx -fJambase %{?_smp_build_ncpus:-j%{_smp_build_ncpus}} install \
  DESTDIR=%{buildroot} \
  PREFIX=%{_prefix} \
  REFSUBDIR=%{_datadir}/color/argyll

rm -rf %{buildroot}%{_bindir}/License.txt

%files
%license doc/License.txt
%doc ReadMe.txt
%{_bindir}/*
%{_datadir}/color/argyll


%changelog
* Mon May 05 2025 daviddavid <daviddavid> 3.3.0-2.mga10
+ Revision: 2181223
- workaround GCC 15 build issue with -std=gnu17

* Thu Oct 17 2024 mrambo3501 <mrambo3501> 3.3.0-1.mga10
+ Revision: 2107817
- version 3.3.0

* Tue Apr 23 2024 daviddavid <daviddavid> 3.2.0-1.mga10
+ Revision: 2060545
- new version: 3.2.0

* Fri Dec 29 2023 daviddavid <daviddavid> 3.1.0-1.mga10
+ Revision: 2023985
- new version: 3.1.0

* Wed Nov 01 2023 daviddavid <daviddavid> 3.0.2-1.mga10
+ Revision: 2003220
- new version: 3.0.2

* Sun Oct 22 2023 daviddavid <daviddavid> 3.0.1-1.mga10
+ Revision: 2000212
- new version: 3.0.1

* Mon Dec 12 2022 ns80 <ns80> 2.3.1-2.mga9
+ Revision: 1920973
- rebuild for new libtiff

* Fri Jul 08 2022 luigiwalser <luigiwalser> 2.3.1-1.mga9
+ Revision: 1868030
- 2.3.1

* Sat May 14 2022 wally <wally> 2.3.0-1.mga9
+ Revision: 1858068
- new version 2.3.0
- build with ftjam

* Wed Feb 12 2020 umeabot <umeabot> 1.9.2-3.mga8
+ Revision: 1508911
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 1.9.2-2.mga7
+ Revision: 1294543
- Mageia 7 Mass Rebuild

* Thu Oct 20 2016 daviddavid <daviddavid> 1.9.2-1.mga6
+ Revision: 1062574
- new version: 1.9.2

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 917341
- 1.8.3

* Mon Aug 17 2015 ycantin <ycantin> 1.7.0-1.mga6
+ Revision: 865374
- new version 1.7.0
- add br libpng-devel

* Thu Dec 25 2014 luigiwalser <luigiwalser> 1.6.3-5.mga5
+ Revision: 805840
- also obsolete 64-bit icclib

* Thu Dec 25 2014 luigiwalser <luigiwalser> 1.6.3-4.mga5
+ Revision: 805561
- obsolete icclib

* Wed Oct 15 2014 umeabot <umeabot> 1.6.3-3.mga5
+ Revision: 748848
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.3-2.mga5
+ Revision: 677892
- Mageia 5 Mass Rebuild

* Fri Feb 14 2014 luigiwalser <luigiwalser> 1.6.3-1.mga5
+ Revision: 590949
- 1.6.3

* Thu Dec 05 2013 luigiwalser <luigiwalser> 1.6.2-1.mga4
+ Revision: 555386
- 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 532501
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 luigiwalser <luigiwalser> 1.6.0-1.mga4
+ Revision: 468507
- 1.6.0
- remove CVE-2012-4405 patch, fixed upstream in icmLut_allocate() in 1.5.0

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.5.1-1.mga4
+ Revision: 450802
- 1.5.1
- update linking patch
- fix files list and drop udev requires

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-4.mga3
+ Revision: 346051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Mon Jan 07 2013 dmorgan <dmorgan> 1.4.0-3.mga3
+ Revision: 340472
- Fix build

* Wed Sep 12 2012 luigiwalser <luigiwalser> 1.4.0-2.mga3
+ Revision: 293081
- add patch from redhat via mdv to fix CVE-2012-4405

* Tue May 08 2012 fwang <fwang> 1.4.0-1.mga2
+ Revision: 234885
- drop all libtool archive
- update file list
- update file list
- update file list
- fix link
- sync with fedora 1.4.0

* Fri Dec 23 2011 fwang <fwang> 1.1.0-5.mga2
+ Revision: 186496
- rebuild for new libtiff

* Wed Dec 07 2011 fwang <fwang> 1.1.0-4.mga2
+ Revision: 178047
- drop .la files

* Sat Oct 01 2011 dmorgan <dmorgan> 1.1.0-3.mga2
+ Revision: 150680
- imported package argyllcms


* Thu Jan 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-3mdv2010.1
+ Revision: 497591
- Patch3: remove unneeded part of udev rules, requires udev >= 151 instead

* Wed Jan 27 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-2mdv2010.1
+ Revision: 497375
- Replace patch1 with new version from Roland Mas: argyllcms uses now its own local libusb, since it contains changes for some spectrometers.

* Mon Jan 18 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 493142
- Release 1.1.0 final
- Patch0 (upstream): fix crash in dispwin

* Thu Jan 14 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-0.rc4.2mdv2010.1
+ Revision: 491514
- Fix udev warning in rules file

* Wed Jan 06 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-0.rc4.1mdv2010.1
+ Revision: 486744
- Release 1.1.0 RC4
- Remove patch4, merged upstream
- Regenerate patch0

* Wed Oct 28 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-2mdv2010.0
+ Revision: 459667
- Adapt udev rules for ACL and install it by default

* Tue Jun 30 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdv2010.0
+ Revision: 390977
- Release 1.0.4
- Regenerate 0 (partially merged)

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-3mdv2010.0
+ Revision: 384450
- Update patch0 with debian version which includes icclib update (fixes various CVE correctly)
- Build with system icclib
- Build various internal libraries as shared libraries

* Thu Apr 16 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-2mdv2009.1
+ Revision: 367783
- Update patch0 with addition from Roland Mas
- enable make check
- Patch2 (Fedora): CVE-2009-0583,0584
- Patch3 (Fedora): CVE-2009-0792
- Patch4: fix header and str_fmt errors

* Thu Sep 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-1mdv2009.0
+ Revision: 280459
- Release 1.0.3
- Regenerate patch1

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 273320
- Release 1.0.2
- Remove patches 2, 3 (merged upstream)

* Thu Jul 31 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdv2009.0
+ Revision: 257520
- Release 1.0.1
- Remove patches 0 (fixed differently), 1 (merged upstream)
- Patch0: autotool based build system, from Alastair M. Robinsin
- Patch1: remvoe call to additional internal libusb api, not needed
- Patch2 (Fedora): double free fix
- Patch3: various upstream fixes

* Thu Jul 03 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 231173
- Fix BuildRequires
- Release 1.0.0
- Update patch0 to link with system libusb
- Patch1: various fixes from upstream (use ARGYLL_INGORE_XRANDR1_1=1 to disable xrandr 1.2 support in argyllcms)

* Wed Jan 16 2008 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta8.1mdv2008.1
+ Revision: 153663
- Release 0.70 beta8
- Remove patches 1, 2, 3, merged upstream

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.4mdv2008.1
+ Revision: 121764
- Remove source1 and replace with patch3: fix usb unbinding (Graeme Grill)
- Update source2 with latest version from Fedora
- Clean specfile

* Thu Dec 13 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.3mdv2008.1
+ Revision: 119409
- Sources 2, 3 : add HAL / PK files to set ACL on usb device node (initial work from Nicolas Mailhot)
- Patch1, 2: fix buffer overflows (Daniel Berrange, Fedora), allow build in FORTIFY_SOURCE=1
- move .gam files in datadir, rename icclink to icclink-argyll
- fix doc packaging

* Tue Dec 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.2mdv2008.1
+ Revision: 117271
- Add udev rules for Huey colorimeter to unbind from usbhid module
- Fix package version

* Mon Dec 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7mdv2008.1
+ Revision: 117020
- import argyllcms


